> ## Name

> cgCallStateSetCallback - calls the state setting callback function for a state assignment

> ## Synopsis

>     #include <Cg/cg.h>

>     CGbool cgCallStateSetCallback( CGstateassignment sa );

> ## Parameters

> sa
>   The state assignment handle.

> ## Return Values

> Returns the boolean value returned by the callback function. It should be CG_TRUE upon success.

> Returns CG_TRUE if no callback function was defined.

> ## Description

> cgCallStateSetCallback calls the graphics state setting callback function for the given state assignment.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

> ## History

> cgCallStateSetCallback was introduced in Cg 1.4.

> ## See Also

> cgSetPassState, cgSetStateCallbacks, cgCallStateResetCallback, cgCallStateValidateCallback